raaz-0.2.1: The raaz cryptographic library.

Safe Haskell | None
Language | Haskell2010

Raaz.Core

Description

Core functions, data types and classes of the raaz package.

Synopsis

- module Raaz.Core.ByteSource
- l1Cache :: BYTES Int
- module Raaz.Core.Encode
- module Raaz.Core.Memory
- module Raaz.Core.Primitives
- module Raaz.Core.Types
- module Raaz.Core.Util

# Documentation

module Raaz.Core.ByteSource

l1Cache :: BYTES Int Source #

Typical size of L1 cache. Used for selecting buffer size etc in crypto operations.

module Raaz.Core.Encode

module Raaz.Core.Memory

module Raaz.Core.Primitives

module Raaz.Core.Types

module Raaz.Core.Util